/*
 * Fichero:     ManejadoresCadenas.java
 * Fecha:       12/01/07
 * Autor:       Alvaro Sarmiento losada 
 * Asignatura:  Proyecto Fin de Carrera
 * Descripción: Contiene la clase ManejadoresCadenas la cual realiza una serie de operaciones muy comunes 
 * 	durante toda nuestra aplicación con cadenas.
 *
 * Este fichero pertenece al proyecto fin de carrera del autor,
 * consistente en el estudio de JXTA y su aplicación al comercio 
 * electrónico b2b.
 */
package com.pfc.manejadores;


/** Clase que realiza algunas operaciones con cadenas muy comunes durante toda la aplicación
 * 
 * @author Alvaro sarmiento Losada
 *
 */
public class ManejadoresCadenas {
	
	/** Realiza una instanciacion del objeto*/
	public ManejadoresCadenas(){
		super();
	}
	
	
	/** Método que elimina lo elementos que están repetidos dentro del arreglo
	 * 
	 * @param array Arreglo donde se observará si hay elementos repetidos
	 * @return Arreglo sin ningun elemento repetido
	 */
	public  String[] eliminarElementosRepetidos(String[] array){
		int i=0;
		int j=0;
		String[] resultado=new String[100];
		String apoyo=new String();
		boolean esta_presente=false;
		
		for(i=0;i<array.length;i++){
			apoyo=array[i];
			int k=0;
			for(k=0; resultado[k]!=null;k++){
				if(resultado[k].equals(apoyo))
					esta_presente=true;
			}
			if(esta_presente!=true)
				resultado[j++]=apoyo;
			esta_presente=false;
		}
		
		int cont=0;
		for(i=0;resultado[i]!=null;i++)
			cont++;
		String [] solucion=new String[cont];
			
		for(i=0;i<cont;i++){
			solucion[i]=resultado[i];
			
		}
				
		return solucion;
		
	}
	
	
	/** Método para comprobar si hay un elemento concreto en una lista
	 * 
	 * @param array Arreglo que hace lista
	 * @param eleccion El elemento que se va a comprobar que esta en la lista
	 * @return True si se encuenrta en la lista. Eoc false
	 */
	public boolean estaEnLista(String[]array,String eleccion){
		boolean resultado=false;
		int i=0;
		
		for(i=0;i<array.length;i++){
			if(eleccion.equals(array[i]))
				resultado=true;
		}
		
		return resultado;
	}

	public String[] datosProveedor(String frase){
		String []resultado=new String[6];
		int j=0,contador=0,indice=0;
		String apoyo=new String();
		String acabar="final2";
		boolean exit=false;
		for(j=0;exit!=true;j++){
			indice=frase.indexOf(":",contador);			
			apoyo=frase.substring(contador,indice);
			System.out.println(apoyo);
			indice++;
			contador=indice;

			if(apoyo.equals(acabar))
				exit=true;
			else
				resultado[j]=apoyo;
		}
		return resultado;
	}
}
